Повреждение памяти в CUPS

Дата публикации:
31.10.2007
Дата изменения:
18.12.2007
Всего просмотров:
1030
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная сеть
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Common Unix Printing System (CUPS) 1.x
Уязвимые версии: CUPS 1.3.3, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке IPP (Internet Printing Protocol) тегов в функции "ippReadIO()"в файле cups/ipp.c. Удаленный пользователь может вызвать переполнение стека с помощью IPP запроса, содержащего специально сформированные "textWithLanguage" или "nameWithLanguage" теги, и выполнить произвольный код на целевой системе.

URL производителя: www.cups.org

Решение: Установите последнюю версию 1.3.4 с сайта производителя.

Журнал изменений:

18.12.2007
Изменены данные в секции «Решение».

Ссылки: CUPS IPP Tags Memory Corruption Vulnerability

или введите имя

CAPTCHA